package com.simuwang.base.pojo.dos;

import lombok.Data;

@Data
public class CoreMailInfoParam {
    private String mboxa = ""; // 默认 ""
    private int fid;
    private String order = "date"; // 默认 "date"
    private int start = 0; // 默认 0
    private int limit = -1; // 默认 -1，表示不分页
    private FilterCondition filter;
    private boolean returnTotal = false; // 默认 false

    public static class FilterCondition {
        private String received; // 收件时间过滤条件
        private String subject;  // 主题关键词过滤

        public FilterCondition(String received, String subject) {
            this.received = received;
            this.subject = subject;
        }

        public String getReceived() {
            return received;
        }

        public void setReceived(String received) {
            this.received = received;
        }

        public String getSubject() {
            return subject;
        }

        public void setSubject(String subject) {
            this.subject = subject;
        }
    }
}
